Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7073 - documented feature "map_static" isn't supported
Summary: documented feature "map_static" isn't supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-17 11:12 UTC by Trond Eivind Glomsrød
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-09 02:35:10 UTC


Attachments (Terms of Use)

Description Trond Eivind Glomsrød 1999-11-17 11:12:21 UTC
From "man exports":

 map_static
              This option enables static  mapping.  It  specifies
              the  name  of  the  file that describes the uid/gid
              mapping, e.g.

              map_static=/etc/nfs/foobar.map

              The file's format looks like this

              # Mapping for client foobar:
              #    remote     local
              uid  0-99       -       # squash these
              uid  100-500    1000    # map 100-500 to 1000-1500
              gid  0-49       -       # squash these
              gid  50-100     700     # map 50-100 to 700-750

This is /etc/exports:

home	157.249.16.10(rw,map_static=/etc/map.nfs)

/etc/map.nfs is just copied from the man page.

This results in the following log entry:
Nov 17 12:10:58 janus exportfs[4413]: Unknown keyword
"map_static=/etc/map.nfs" in export file
nov 17 12:10:58 janus exportfs: exportfs: Unknown keyword
"map_static=/etc/map.nfs" in export file

Comment 1 Alan Cox 2000-02-17 15:27:59 UTC
knfsd doesnt support this feature. Someone has used an old unfsd
manual page and not removed the gid mapping and ugidd references.

Comment 2 Trond Eivind Glomsrød 2000-02-17 15:41:59 UTC
Of course it's a bug if someone used an old man page with options which aren't
supported.

Comment 3 Michael J. Rensing 2000-04-11 16:54:59 UTC
I'm running RedHat 6.1 with the standard rpms from RedHat. The man page has a
full explanation of the map_static feature. I would hope that the plan is to
add this feature rather than delete it from the documentation.

Comment 4 Cristian Gafton 2000-08-09 02:35:08 UTC
assigned to johnsonm

Comment 5 Trond Eivind Glomsrxd 2000-11-08 19:28:01 UTC
Fixed in Red Hat Linux 7.


Note You need to log in before you can comment on or make changes to this bug.